edu.isi.pegasus.planner.selector.transformation

## Class Installed

- java.lang.Object
- - edu.isi.pegasus.planner.selector.TransformationSelector
  - - edu.isi.pegasus.planner.selector.transformation.Installed

    public class Installed
    extends TransformationSelector

This implementation of the Selector returns a list of TransformationCatalogEntry objects of type INSTALLED y on the submit site.

Version:
  $Revision$
Author:
  Gaurang Mehta

### Field Summary

### Fields inherited from class edu.isi.pegasus.planner.selector.TransformationSelector

`mLogger, PACKAGE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`Installed()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List` `getTCEntry(java.util.List tcentries)` Returns a list of TransformationCatalogEntry objects of type installed from a List of valid TCEntries

### Methods inherited from class edu.isi.pegasus.planner.selector.TransformationSelector

`loadTXSelector`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Installed

    public Installed()

### Method Detail

#### getTCEntry

    public java.util.List getTCEntry(java.util.List tcentries)

Returns a list of TransformationCatalogEntry objects of type installed from a List of valid TCEntries

Specified by:
  `getTCEntry` in class `TransformationSelector`
Parameters:
  `tcentries` - List The original list containing TransformationCatalogEntries.
Returns:
  List returns a List of TransformationCatalogEntry objects of type INSTALLED